#include<iostream>
#include<cmath>
using namespace std;
long long N;
double a[1000000],maksp,p[1000000],odsvakog[20000],z,x;
int main(){
	cin.tie(NULL);
	cout.tie(NULL);
	cin>>N;
	for(int i=0;i<N;i++){
		cin>>a[i]>>p[i];
	}
	maksp=0;
	z=0;
	for(int i=0;i<N;i++){
		for(int j=0;j<N;j++)if(p[i]<=p[j])z+=a[j];
		x=z*p[i]/100.0*1.0;
		//cout<<x<<endl;
		if(x>maksp)maksp=x;
		z=0;
	}
	printf("%lf",maksp);
	return 0;
}